precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputTexture;
uniform vec2 mosaicSize;

uniform vec2 minCorner;
uniform vec2 maxCorner;

void main()
{
    vec2 uv  = textureCoordinate.xy;
    vec2 coord;

    if (uv.x >= minCorner.x && uv.x <= maxCorner.x && uv.y >= minCorner.y && uv.y <= maxCorner.y) {
        coord = vec2(mosaicSize.x * floor(uv.x / mosaicSize.x), mosaicSize.y * floor(uv.y / mosaicSize.y));
    } else {
        coord = uv;
    }

    vec3 tc = texture2D(inputTexture, coord).xyz;
    gl_FragColor = vec4(tc, 1.0);
}

