precision highp float;
varying vec2 textureCoordinate;

uniform vec2 baseTextureSize;
uniform vec2 blendOffset;

uniform float blendScale;

uniform sampler2D inputTexture;
uniform sampler2D blendTexture;

vec2 imageAlign(vec2 videoUV)
{
    vec2 imageSize = vec2(500.);
    vec2 videoImageCoord=videoUV*baseTextureSize;
    vec2 imageUV=(videoImageCoord-blendOffset)/(imageSize*blendScale);
    return imageUV;
}

void main(void)
{
    lowp vec4 baseColor=texture2D(inputTexture,textureCoordinate);
    lowp vec4 resultColor=baseColor;
    lowp vec4 imageColor=baseColor;
    vec2 imageUV=imageAlign(textureCoordinate);
    if(all(lessThan(vec2(0.),imageUV))&&all((lessThan(imageUV,vec2(1.)))))
    {
        imageUV.y = 1.0-imageUV.y;
        imageColor=texture2D(blendTexture,imageUV);
        resultColor=vec4(mix(baseColor.rgb*baseColor.a,imageColor.rgb,imageColor.a),1.);
    }
    gl_FragColor= resultColor;
}

