function render(time)
    local config = getEntityById("Config")
    local inputTexture = getEntityById("InputTexture")
    --定义高斯模糊算子大小为(2 * blurStep + 1)，当blurStep为15时，算子为31*31
    local blurStep = 15

    local shaderPass0 = getEntityById("ShaderPass0")
    local shaderPass1 = getEntityById("ShaderPass1")

    local material0 = shaderPass0.getMaterial()
    local material1 = shaderPass1.getMaterial()

    local progress = (time - config.startTime) / (config.endTime - config.startTime)
    blurStep = math.floor((blurStep * progress)+0.5)
    --print("blurStep =", blurStep)

    material0.setVec2("pixelOffset", 1 / config.outputWidth, 0)
    material0.setInt("blurStep", blurStep)
    shaderPass0.setOutputTextureSize(config.outputWidth, config.outputHeight)
    shaderPass0.setInputTexture("inputTexture", inputTexture)

    shaderPass0.render()

    inputTexture = shaderPass0.getOutputTexture()
    material1.setVec2("pixelOffset", 0, 1 / config.outputHeight)
    material1.setInt("blurStep", blurStep)
    shaderPass1.setOutputTextureSize(config.outputWidth, config.outputHeight)
    shaderPass1.setInputTexture("inputTexture", inputTexture)

    shaderPass1.render()

    return shaderPass1.getOutputTexture()
end