function render(time)
    local config = getEntityById("Config")
    local inputTexture = getEntityById("InputTexture")
    local shaderPass0 = getEntityById("ShaderPass0")

    local humanRect = getEntityById("HumanRect")
    if humanRect == nil then
        print("no human box")
        return inputTexture
    end

    -- 坐标转换
    local left = humanRect.x
    local top = 1.0 - humanRect.y
    local right = humanRect.z
    local bottom = 1.0 - humanRect.w
    local coord = {
        left, bottom,
        right, bottom,
        left, top,
        right, top
    }

    local mesh = shaderPass0.getMesh();
    mesh.setVec2Array("aTextureCoord", coord)

    shaderPass0.setOutputTextureSize(config.outputWidth, config.outputHeight)

    shaderPass0.setInputTexture("inputTexture", inputTexture)

    shaderPass0.render()

    return shaderPass0.getOutputTexture()
end