precision highp float;
attribute vec4 aPosition;
attribute vec4 aTextureCoord;
varying vec2 textureCoordinate;
varying vec2 maskTextureCoordinate;

uniform vec2 u_center;
uniform float u_aspect;
uniform float u_rotate;

void main() 
{
    gl_Position = aPosition;
    vec2 uv = vec2(
        (aTextureCoord.x - u_center.x) * u_aspect,
        u_center.y - aTextureCoord.y);

    uv = mat2(cos(u_rotate), sin(u_rotate),
              -sin(u_rotate), cos(u_rotate)) * uv;

    maskTextureCoordinate = uv;
    textureCoordinate = aTextureCoord.xy;
}
